GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GetParcelShopRequestType Class Reference

## Public Member Functions
GLSUserCredentials | getCredentials ()
void | setCredentials (GLSUserCredentials value)
GLSAddress | getAddress ()
void | setAddress (GLSAddress value)

## Protected Attributes
GLSUserCredentials | credentials
GLSAddress | address

## Detailed Description

Java class for GetParcelShopRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GetParcelShopRequestType">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Credentials" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSUserCredentials"/>
            <element name="Address" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSAddress"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 35 of file GetParcelShopRequestType.java.

## Member Function Documentation

## ◆ getAddress()

GLSAddress eu.glsgroup.ws.parcelshopsearch.GetParcelShopRequestType.getAddress | ( |  | ) |

Gets the value of the address property.

Returns
  possible object is GLSAddress

Definition at line 74 of file GetParcelShopRequestType.java.

## ◆ getCredentials()

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.GetParcelShopRequestType.getCredentials | ( |  | ) |

Gets the value of the credentials property.

Returns
  possible object is GLSUserCredentials

Definition at line 50 of file GetParcelShopRequestType.java.

## ◆ setAddress()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopRequestType.setAddress | ( | GLSAddress | value | ) |

Sets the value of the address property.

Parameters

  value | allowed object is GLSAddress

Definition at line 86 of file GetParcelShopRequestType.java.

## ◆ setCredentials()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopRequestType.setCredentials | ( | GLSUserCredentials | value | ) |

Sets the value of the credentials property.

Parameters

  value | allowed object is GLSUserCredentials

Definition at line 62 of file GetParcelShopRequestType.java.

## Member Data Documentation

## ◆ address

GLSAddress eu.glsgroup.ws.parcelshopsearch.GetParcelShopRequestType.address
| protected

Definition at line 40 of file GetParcelShopRequestType.java.

## ◆ credentials

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.GetParcelShopRequestType.credentials
| protected

Definition at line 38 of file GetParcelShopRequestType.java.

The documentation for this class was generated from the following file:

- GetParcelShopRequestType.java